Loading...
Searching...
No Matches
ASSA::SigSet Class Reference

`#include <SigSet.h>`

## Public Member Functions

| SigSet ()
| Default constructor creates SigSet object with an empty signal set.
| SigSet (sigset_t *source_)
| Copy constructor from `source_`.
| ~SigSet ()
| Destructor.
int | empty (void)
| This function initializes a signal set to be empty, no signals in it.
int | fill (void)
| This function initializes a signal set to be full; all the signals defined by POSIX will be in the set.
int | add (int signo_)
| This function adds the signal numbered `signo_` to the set.
int | del (int signo_)
| This function removes the signal `signo_` from the set.
int | is_member (int signo_)
| Use this function to tell whether the signal `signo_` is in the set.
| operator sigset_t * ()
| Conversion operator to `sigset_t` structure.

## Private Attributes

sigset_t | m_sigset
| POSIX signal set.

## Detailed Description

Definition at line 52 of file SigSet.h.

## Constructor & Destructor Documentation

## SigSet() [1/2]

ASSA::SigSet::SigSet | ( |  | ) |

inline

Default constructor creates SigSet object with an empty signal set.

Definition at line 117 of file SigSet.h.

{ (int) sigemptyset(&m_sigset); }
ASSA::SigSet::m_sigset
sigset_t m_sigset
POSIX signal set.
Definition SigSet.h:113

References m_sigset.

## SigSet() [2/2]

ASSA::SigSet::SigSet | ( | sigset_t * | source_ | ) |

inline

Copy constructor from `source_`.

Definition at line 121 of file SigSet.h.

{ m_sigset = *s_; }

References m_sigset.

## ~SigSet()

ASSA::SigSet::~SigSet | ( |  | ) |

inline

Destructor.

Definition at line 125 of file SigSet.h.

{ /* no-op */ }

## Member Function Documentation

## add()

int ASSA::SigSet::add | ( | int | signo_ | ) |

inline

This function adds the signal numbered `signo_` to the set.

Returns
  0 on success, -1 on error, with errno set to error number.

Definition at line 137 of file SigSet.h.

{ return sigaddset(&m_sigset,signo_); }

References m_sigset.

## del()

int ASSA::SigSet::del | ( | int | signo_ | ) |

inline

This function removes the signal `signo_` from the set.

Returns
  0 on success, -1 on error, with errno set to error number.

Definition at line 141 of file SigSet.h.

{ return sigdelset(&m_sigset,signo_); }

References m_sigset.

## empty()

int ASSA::SigSet::empty | ( | void |  | ) |

inline

This function initializes a signal set to be empty, no signals in it.

Returns
  0 on success, -1 on error, with errno set to error number.

Definition at line 129 of file SigSet.h.

{ return sigemptyset(&m_sigset); }

References m_sigset.

## fill()

int ASSA::SigSet::fill | ( | void |  | ) |

inline

This function initializes a signal set to be full; all the signals defined by POSIX will be in the set.

Returns
  0 on success, -1 on error, with errno set to error number.

Definition at line 133 of file SigSet.h.

{ return sigfillset(&m_sigset); }

References m_sigset.

## is_member()

int ASSA::SigSet::is_member | ( | int | signo_ | ) |

inline

Use this function to tell whether the signal `signo_` is in the set.

Returns
  0 on success, -1 on error, with errno set to error number.

Definition at line 145 of file SigSet.h.

{ return sigismember(&m_sigset,signo_); }

References m_sigset.

## operator sigset_t *()

ASSA::SigSet::operator sigset_t * | ( |  | ) |

inline

Conversion operator to `sigset_t` structure.

Returns
  pointer to the internal `sigset_t` structure.

Definition at line 149 of file SigSet.h.

{ return &m_sigset; }

## Member Data Documentation

## m_sigset

sigset_t ASSA::SigSet::m_sigset

private

POSIX signal set.

Definition at line 113 of file SigSet.h.

Referenced by add(), del(), empty(), fill(), is_member(), SigSet(), and SigSet().

The documentation for this class was generated from the following file:

- SigSet.h